Subject: Re: [PATCHv4 net-next 4/4] selftests: bonding: use slowwait instead of hard code sleep

From: Jakub Kicinski <[email-masked]>
Date: Sun, 4 Feb 2024 08:28:58 -0800

On Sun,  4 Feb 2024 16:51:28 +0800 Hangbin Liu wrote:
> Use slowwait instead of hard code sleep for bonding tests.
> 
> In function setup_prepare(), the client_create() will be called after
> server_create(). So I think there is no need to sleep in server_create()
> and remove it.
> 
> For lab_lib.sh, remove bonding module may affect other running bonding tests.
> And some test env may buildin bond which can't be removed. The bonding
> link should be removed by lag_reset_network() or netns delete.

Unfortunately still fails here 4/10 runs :(
Did you try to repro with virtme-ng, --disable-kvm and many CPUs?
-- 
pw-bot: cr